# infer
## Zigバージョン
0.14.0

## 関数
* infer.compareBytes(slice: []const u8, subSlice: []const u8, startOff: usize)
* inter.sniffMediaType(data: []const u8)

## 使い方
```zig
// zig fmt: off
const std = @import("std");
const infer = @import("infer");

pub fn main() !void {
  const pdfData = [_]u8{ 0x25, 0x50, 0x44, 0x46 };
  const mediaType = try infer.sniffMediaType(&pdfData);
  std.debug.print("ファイル塁： {s}\n", .{ .mediaType }); // application/pdf
}
```
