// zig fmt: off
const std = @import("std");

pub fn build(b: *std.Build) void {
  const target = b.standardTargetOptions(.{});
  const optimize = b.standardOptimizeOption(.{});

  const libMod = b.addModule("infer", .{
    .root_source_file = b.path("src/lib.zig"),
    .target = target,
    .optimize = optimize,
  });

  const lib = b.addLibrary(.{
    .linkage = .static,
    .name = "infer",
    .root_module = libMod,
  });

  b.installArtifact(lib);

  const libUnitTests = b.addTest(.{
    .root_module = libMod,
  });

  const runLibUnitTests = b.addRunArtifact(libUnitTests);

  const testStep = b.step("test", "テストケースの実行");
  testStep.dependOn(&runLibUnitTests.step);
}